Bug 183595 - Page reversal option needed when printing jobs
Page reversal option needed when printing jobs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libgnomeprintui22 (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-02 01:57 EST by Philip Prindeville
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 15:09:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philip Prindeville 2006-03-02 01:57:24 EST
Description of problem:

On printers that stack pages from last to first, having a page reversal option
would help reorder them into the desired order.

Version-Release number of selected component (if applicable):


How reproducible:

Always reproducible when printing multi-page documents on printers that stack
pages face up (and hence last-to-first).

Steps to Reproduce:
1. Print a multi-page document on an OfficeJet series 6200.
2.
3.
  
Actual results:

The last page will appear on the top of the stack.

Expected results:

The first page should appear on the top of the stack.

Additional info:

The pagespec "1:-0" will print the pages in reverse order in "pstops".

The /usr/bin/foomatic-rip script probably also needs to be modified.
Comment 1 Tim Waugh 2006-03-02 04:10:45 EST
This is something that needs to be done at the client end.
Comment 2 Matthias Clasen 2006-03-02 09:56:35 EST
GTK+ has no part in this
Comment 3 Philip Prindeville 2006-03-02 12:36:39 EST
(In reply to comment #1)
> This is something that needs to be done at the client end.

Why?  If you're pooling printers, there might be several printers in the pool,
some printing face up and some printing face down.

The client might not know the physical properties of the printer.

And it should be a characteristic of the printer that is expressed in the
printer description file (which only the server would have access to anyway).

Comment 4 Matthias Clasen 2006-07-27 15:09:50 EDT
The printing support in GTK+ 2.10 has a reverse option.

Note You need to log in before you can comment on or make changes to this bug.